import 'package:flutter_test/flutter_test.dart';
import 'package:localregex/localregex.dart';

void main() {
  final localregex = LocalRegex();
  test('Validate email address', () {
    assert(localregex.emailAdress.hasMatch("ngmangudya@gmail.com"), true);
  });

  group("Test +263 mobile numbers", (){
    test(":Validate netone number", (){
      try{
        assert(localregex.netone.hasMatch("+263713700601"), true);
      }catch(e){
        print(e);
      }
    });
    test(":Validate telecel number", (){
      try{
        assert(localregex.telecel.hasMatch("+263733220033"), true);
      }catch(e){
        print(e);
      }
    });

    test(":Validate econet number 26377", (){
      try{
        assert(localregex.econet.hasMatch("+263777213388"), true);
      }catch(e){
        print(e);
      }
    });

    test(":Validate econet number 26378", (){
      try{
        assert(localregex.econet.hasMatch("+263782213388"), true);
      }catch(e){
        print(e);
      }
    });
  });

  group("Test 07 mobile numbers", (){
    test(":Validate netone number", (){
      try{
        assert(localregex.netone.hasMatch("0713700601"), true);
      }catch(e){
        print(e);
      }
    });
    test(":Validate telecel number", (){
      try{
        assert(localregex.telecel.hasMatch("0733220033"), true);
      }catch(e){
        print(e);
      }
    });

    test(":Validate econet number 077", (){
      try{
        assert(localregex.econet.hasMatch("0777213388"), true);
      }catch(e){
        print(e);
      }
    });

    test(":Validate econet number 078", (){
      try{
        assert(localregex.econet.hasMatch("0782213388"), true);
      }catch(e){
        print(e);
      }
    });
  });

  test("Validate driver's license number", (){
    try{
      assert(localregex.driversLicence.hasMatch("98336DM"), true);
    }catch(e){
      print(e);
    }
  });

  test("Validate passport number", (){
    try{
      assert(localregex.passportNumber.hasMatch("FN633423"), true);
    }catch(e){
      print(e);
    }
  });

  test("Validate number plate", (){
    try{
      assert(localregex.numberPlate.hasMatch("ADW 4746"), true);
    }catch(e){
      print(e);
    }
  });

  group("Test national id", (){
    test(":Validate national id without a space", (){
      try{
        assert(localregex.nationalId.hasMatch("75-511218 K 44"), true);
      }catch(e){
        print(e);
      }
    });
    test(":Validate national id with a space", (){
      try{
        assert(localregex.nationalId.hasMatch("75 511218 K 44"), true);
      }catch(e){
        print(e);
      }
    });
  });
}
